package cn.qinys.platform.mobile.service;

import cn.qinys.platform.mobile.req.WishCreateReq;
import cn.qinys.platform.mobile.req.WishPageReq;
import cn.qinys.platform.mobile.resp.WishDetailResp;
import cn.qinys.platform.mobile.resp.WishPageResp;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

public interface UserWishService {

    Page<WishPageResp> pageByTree(Integer treeId, WishPageReq req);

    Page<WishPageResp> pageByUser(WishPageReq req);

    WishDetailResp getDetail(Integer id);

    void create(WishCreateReq req);

    boolean delete(Long id, String userId);

    int like(Long id);
}
